Payment batches & settlement
List Stablecoin Allocation Payments
Name and signature indicate it lists stablecoin allocation payments
POSThttps://api.toku.com/hris/list-stablecoin-allocation-payments
Required scope: payroll:read. It also needs banking:read, compensation:read.
curl --request POST \
--url 'https://api.toku.com/hris/list-stablecoin-allocation-payments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"periodYear": 0,
"periodMonth": 0,
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"paidFrom": "2026-01-01T00:00:00Z",
"paidTo": "2026-01-01T00:00:00Z",
"tokenSymbol": "string",
"networkName": "string",
"includeVoided": true,
"search": "string",
"page": 0,
"pageSize": 0
}'200 response
{
"rows": [],
"totalCount": 0,
"page": 0,
"pageSize": 0,
"totals": []
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
periodYearintegerAllowed: 2020 to 2100
periodMonthintegerAllowed: 1 to 12
roleInOrgIDstring<uuid>paidFromstring<date-time>paidTostring<date-time>tokenSymbolstringAllowed: 1 to 20 characters
networkNamestringAllowed: 1 to 60 characters
includeVoidedbooleansearchstringAllowed: 1 to 100 characters
pageintegerAllowed: at least 1
pageSizeintegerAllowed: 1 to 200
Response
200Successful response
rowsany[]totalCountintegerpageintegerpageSizeintegertotalsany[]400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits